Pagination helper interface.

### Type parameters

- #### T

  The item type.

### Hierarchy

- Paginator

### Implemented by

- RestPaginator

## Index

### Properties

- hasNextPage
- hasPrevPage
- items

### Methods

- nextPage
- prevPage

## Properties

### hasNextPage

hasNextPage: boolean

Indicates the existence of the next page.

### hasPrevPage

hasPrevPage: boolean

Indicates the existence of the previous page.

### items

items: T[]

Array of elements of type T on the current page.

## Methods

### nextPage

- nextPage(): Promise<Paginator<T>>

- Request next page. Does not modify the existing object.

  #### Returns Promise<Paginator<T>>

### prevPage

- prevPage(): Promise<Paginator<T>>

- Request previous page. Does not modify the existing object.

  #### Returns Promise<Paginator<T>>